function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $props, $setup } from "@dftvue2-opentiny/vue-common";
import PcTemplate from "./pc.js";
import "@dftvue2-opentiny/vue-theme/text-popup/index.css";
var template = function template2(mode) {
  return PcTemplate;
};
var TextPopup = defineComponent({
  name: $prefix + "TextPopup",
  props: _extends({}, $props, {
    modelValue: {
      default: ""
    },
    placeholder: {
      type: String,
      required: false
    },
    readonly: {
      type: Boolean,
      default: false
    },
    width: {
      type: [Number, String],
      default: 150,
      validator: function validator(value) {
        return parseInt(value) >= 0;
      }
    },
    separtor: {
      type: String,
      default: ","
    }
  }),
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "2.8.0";
TextPopup.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
TextPopup.install = function(Vue) {
  Vue.component(TextPopup.name, TextPopup);
};
TextPopup.version = version;
export {
  TextPopup as default
};
